Skip to main content
PUT
Update Outbound Settings

Authorizations

Authorization
string
header
required

Specify the authorization token.

For more information, check out the Authorization Guide.

Path Parameters

pearlId
string
required

The unique identifier of the Pearl.

Body

The outbound settings to apply.

Outbound settings of a voice Pearl.

totalAgents
integer<int32>

Total number of agents allocated to this outbound activity.

transcriptOptions
integer<int32>

1 - FullTranscript

2 - SensitiveInfoRemoved

3 - NoTranscript

budgetTotal
integer<int32> | null

Total budget allocated for the outbound activity. If null, the outbound activity runs without a budget limit.

timeZone
string | null

Default time zone for the outbound activity.

Leads are called according to this time zone unless a lead-specific time zone is provided when adding leads. For accepted values, refer to the Windows Time Zones list.

Example: "Pacific Standard Time", "Romance Standard Time".

callingHours
object[] | null

Allowed calling hours for the outbound activity.

callWebhookUrl
string | null

Optional webhook URL to receive call events (for example call started and call ended).

leadWebhookUrl
string | null

Optional webhook URL to receive lead events (for example lead created/updated).

phoneNumberId
string | null

The phone number ID to use for this Pearl. To retrieve available phone numbers, see: Get Phone Numbers

recordingTrack
integer<int32>

1 - Pearl

2 - Inbound

3 - Both

4 - None

isStopRecordingAfterTransferCall
boolean | null

Indicates whether recording should continue after a call is transferred.

maximumCallAttempts
integer<int32>

Maximum number of call attempts per lead.

Constraints:

  • Max 5 attempts.
minimumRetryIntervalHours
integer<int32>

1 - Every6Hours

2 - OnceADay

3 - OnceEvery3Days

4 - OnceAWeek

5 - OnceAMonth

6 - Every3Hours

voiceMail
string | null

🧩 May support variables

Voicemail message left when a voicemail/answering machine is detected. If empty, the agent will not leave voicemails.

bypassIVRInstruction
string | null

🧩 May support variables

Instructions used to bypass IVR (Interactive Voice Response) systems.

ringDuration
integer<int32> | null

Ringing duration (in seconds) before considering the call unanswered.

Constraints:

  • Min 10 seconds.
  • Max 50 seconds.
callTimeout
integer<int32> | null

Maximum call duration (in minutes). The call is ended when this limit is reached.

Constraints:

  • Min 1 minute.
  • Max 120 minutes.

Response

Outbound settings updated successfully.

The response is of type boolean.